<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myOrderShipmentItemLabel" jhiTranslate="mpmApp.orderShipmentItem.home.createOrEditLabel">Create or edit a Order Shipment Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!orderShipmentItem.idOrderShipmentItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="orderShipmentItem.idOrderShipmentItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderShipmentItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="orderShipmentItem.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idOrderItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderShipmentItem.orderItem" for="field_orderItem">Order Item</label>
                    <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="orderShipmentItem.orderItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipmentItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderShipmentItem.shipmentItem" for="field_shipmentItem">Shipment Item</label>
                    <select class="form-control" id="field_shipmentItem" name="shipmentItem" [(ngModel)]="orderShipmentItem.shipmentItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentItemOption.idShipmentItem" *ngFor="let shipmentItemOption of shipmentitems; trackBy: trackShipmentItemById">{{shipmentItemOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
